import os

import pygame
pygame.init()

import helpers

class AnimatedSprite( pygame.sprite.Sprite ):
	"""

	"""
	def __init__( self, _images, _interval ):
		"""

		"""
		pygame.sprite.Sprite.__init__( self )

		self.images = [ helpers.load_image( x ) for x in _images ]
		self.current_image = 0
		self.len_images = len( self.images )

		self.image = self.images[self.current_image]
		self.rect = self.image.get_rect()

		self.interval = _interval
		self.interval_counter = 0


	def update( self ):
		if self.interval_counter >= self.interval:
			self.interval_counter = 0
			if self.current_image == ( self.len_images -1 ):
				self.current_image = 0
			else:
				self.current_image += 1

			self.image = self.images[ self.current_image ]
			self.rect = self.image.get_rect()

		else:
			self.interval_counter += 1
