import os

import pygame
pygame.init()

import settings


class Room( pygame.sprite.Sprite ):
	"""

	"""
	def __init__( self, _room_file ):
		"""

		"""
		self.room_file = _room_file
		self.room_data = self.read_room_data()

		self.image = pygame.Surface( *settings.WINDOW_DIMENSIONS )
		self.rect = self.image.get_rect()


	def read_room_data( self ):
		"""

		"""
		file_handle = open( os.path.join( os.getcwd(), "levels", self.level_file ) )
		contents = file_handle.read().splitlines()
		file_handle.close()

		return contents


	def room_data_to_image( self ):
		"""

		"""
		x = y = 0
		
		for line in self.room_data:
			for col in line:
				self.image.blit( self.get_tile( col, x, y ) )
				x += 20
			x = 0
			y += 20


	def get_tile( self, _char, _left, _top ):
		"""

		"""
		img = pygame.image.load( os.path.join( os.getcwd(), "gfx", _char ) )
		rect = img.get_rect()
		rect.left = _left
		rect.top = _top

		return img, rect
