import pygame
pygame.init()

import helpers
import settings

class Raindrop( pygame.sprite.Sprite ):
	"""

	"""
	def __init__( self, _image,
						_drop_speed_increment,
						_cur_alpha,
						_alpha_reduction ):
		"""

		"""
		pygame.sprite.Sprite.__init__( self )

		self.image 						= helpers.load_image( _image )
		self.rect 						= self.image.get_rect()
		self.cur_alpha 					= _cur_alpha
		self.alpha_reduction 			= _alpha_reduction
		self.drop_speed_increment 		= _drop_speed_increment
		self.has_collided_with_ground 	= False
		self.speed 						= 0
		self.already_counted			= False


	def set_position_xy( self, _xy ):
		"""

		"""
		self.rect.center = _xy


	def update( self ):
		"""

		"""
		if not self.has_collided_with_ground and self.collision_with_ground():
			self.has_collided_with_ground = True


		if self.has_collided_with_ground:
			if self.has_disappeared():
				self.kill()
			else:
				self.make_disappear()
		else:
			self.fall_down()
			self.increase_speed()
			

	def fall_down( self ):
		"""

		"""
		self.rect.bottom += self.speed


	def increase_speed( self ):
		"""

		"""
		self.speed += self.drop_speed_increment


	def collision_with_ground( self ):
		"""

		"""
		if self.rect.bottom >= settings.WINDOW_HEIGHT:
			return True
		else:
			return False


	def has_disappeared( self ):
		"""

		"""
		if self.cur_alpha <= 0:
			return True
		else:
			return False


	def make_disappear( self ):
		"""

		"""
		self.cur_alpha -= self.alpha_reduction
		self.image.set_alpha( self.cur_alpha )
