import os

import pygame
pygame.init()

import settings
import helpers


class Room( pygame.sprite.Sprite ):
	"""

	"""
	def __init__( self, _room_file ):
		"""

		"""
		pygame.sprite.Sprite.__init__( self )
		
		self.room_file = _room_file
		self.room_data = helpers.load_level( _room_file )

		self.image = pygame.Surface( settings.WINDOW_DIMENSIONS )
		self.image.fill( ( 255, 255, 255, 0 ) )
		self.image.set_colorkey( ( 255, 255, 255, 0 ) )
		self.rect = self.image.get_rect()

		self.room_data_to_image()


	def room_data_to_image( self ):
		"""

		"""
		x = y = 0
		
		for line in self.room_data:
			for col in line:
				if col is not "#":
					self.image.blit( *self.get_tile( col, x, y ) )
				x += 32
			x = 0
			y += 32


	def get_tile( self, _char, _left, _top ):
		"""

		"""
		img = pygame.image.load( os.path.join( os.getcwd(), "gfx", settings.TILE_DICT[_char] ) )
		img.set_colorkey( ( 255, 255, 255, 0 ) )
		rect = img.get_rect()
		rect.left = _left
		rect.top = _top

		return img, rect


	def move_horizontal( self, _movement_horizontal ):
		"""

		"""
		self.rect.centerx += _movement_horizontal
