import random

import pygame
pygame.init()

import helpers


class ClimbingPlant( object ):

	sound = helpers.load_sound( "up.ogg" )
	
	def __init__( self, _left_bottom_start_position ):
		"""

		"""
		self.left_bottom_start_position = _left_bottom_start_position
		self.plant_parts = [ self.left_bottom_start_position, ]

		self.counter = 0
		self.center = 320

		self.start_counter = False


	def add_plant_part( self ):
		"""

		"""
		for x in range( 10 ):
			last_plant_part = self.plant_parts[-1]

			for x in range( random.randint( -4, -2 ), random.randint( 2, 4 ) ):
				self.plant_parts.append( ( 320 - x, last_plant_part[1] - 1 ) )


	def update( self, _lamp, _rootarea, _player ):
		if _lamp.has_energy() and _rootarea.has_water() and _player.has_fireflies():
			self.start_counter = True

		if self.start_counter:
			if self.counter >= 10:
				self.add_plant_part()
				self.counter = 0
				self.start_counter = False
				_rootarea.reduce_water()
				_player.reduce_fireflies()
				ClimbingPlant.sound.play()
			else:
				self.counter += 1
