import pygame
pygame.init()

import helpers
from AnimatedSprite import AnimatedSprite

class Lamp( pygame.sprite.Sprite ):
	"""

	"""
	def __init__( self, _images,
						_center_xy_position,
						_energy,
						_energy_reduction_amount,
						_timer,
						_max_timer,
						_timer_increment ):
		"""

		"""
		pygame.sprite.Sprite.__init__( self )

		self.lamp_off_image 			= helpers.load_image( _images[0] )
		self.lamp_on_image 				= helpers.load_image( _images[1] )
		
		self.image 						= self.lamp_off_image
		self.rect 						= self.image.get_rect()
		self.rect.center 				= _center_xy_position

		self.energy 					= _energy
		self.energy_reduction_amount 	= _energy_reduction_amount
		self.timer 						= _timer
		self.max_timer 					= _max_timer
		self.timer_increment 			= _timer_increment


	def update( self ):
		"""

		"""
		if self.has_energy():
			self.set_lamp_on_image()
			if self.timer >= self.max_timer:
				self.timer = 0
				self.reduce_energy()
			else:
				self.timer += self.timer_increment
		else:
			self.set_lamp_off_image()
			self.timer = 0


	def has_energy( self ):
		"""

		"""
		if self.energy > 0:
			return True
		else:
			return False


	def reduce_energy( self ):
		"""

		"""
		self.energy -= self.energy_reduction_amount


	def increase_energy( self, _amount ):
		"""

		"""
		self.energy += _amount


	def set_lamp_on_image( self ):
		"""

		"""
		self.image = self.lamp_on_image


	def set_lamp_off_image( self ):
		"""

		"""
		self.image = self.lamp_off_image
