import pygame
pygame.init()

import settings

from SingleStat import SingleStat


class Stats( object ):
	"""

	"""
	def __init__( self ):
		"""

		"""
		self.amount_water_in_root_area 	= 0
		self.amount_fireflies			= 0
		self.amount_electricity			= 0

		self.single_stat_water = SingleStat( **settings.SINGLE_STAT_WATER )
		self.single_stat_elec = SingleStat( **settings.SINGLE_STAT_ELECTRICITY )
		self.single_stat_fireflies = SingleStat( **settings.SINGLE_STAT_FIREFLIES )
		self.single_stat_jump_energy = SingleStat( **settings.SINGLE_STAT_JUMP_ENERGY )
		self.single_stat_straight_jump_energy = SingleStat( **settings.SINGLE_STAT_STRAIGHT_JUMP_ENERGY )
		self.single_stat_movement_energy = SingleStat( **settings.SINGLE_STAT_MOVEMENT_ENERGY )				


	def update( self, _water, _electricity, _fireflies, _player ):
		"""

		"""
		self.recv_amount_water_in_root_area( _water )
		self.recv_amount_electricity( _electricity )
		self.recv_amount_fireflies( _fireflies )

		self.single_stat_water.update( _water )
		self.single_stat_elec.update( _electricity )
		self.single_stat_fireflies.update( _fireflies )
		self.single_stat_jump_energy.update( _player.energy )
		self.single_stat_straight_jump_energy.update( _player.straight_jump_energy )
		self.single_stat_movement_energy.update( _player.movement_energy )


	def recv_amount_water_in_root_area( self, _amount ):
		"""

		"""
		self.amount_water_in_root_area = _amount


	def recv_amount_fireflies( self, _amount ):
		"""

		"""
		self.amount_fireflies = _amount


	def recv_amount_electricity( self, _amount ):
		"""

		"""
		self.amount_electricity = _amount
